Package org.mariadb.jdbc.plugin.authentication.addon.gssapi

## Interface GssapiAuth

All Known Implementing Classes:
  `StandardGssapiAuthentication`, `WindowsNativeSspiAuthentication`

    public interface GssapiAuth

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `authenticate​(PacketWriter writer, PacketReader in, String servicePrincipalName, String mechanisms)`

### Method Detail

#### authenticate

    void authenticate​(PacketWriter writer,
                      PacketReader in,
                      String servicePrincipalName,
                      String mechanisms)
               throws SQLException,
                      IOException

Throws:
  `SQLException`
  `IOException`